package com.muyu.common.core.feign;

import feign.Contract;
import org.springframework.cloud.openfeign.support.SpringMvcContract;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * 定义OpenFigen契约
 * @author dongzeliang
 */
@Configuration
public class FeginConfig {

    @Bean
    public Contract feignConfiguration() {
        return new SpringMvcContract();
    }
}
