package com.muyu.system.domain.rep;

import com.muyu.common.core.web.page.PageReq;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 数据字典信息
 *
 * @ClassName SysDictDataListReq
 * @Author AnNan.Wang
 * @Date 2024/12/15 17:29
 */

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class SysDictDataListReq extends PageReq {

    /**
     * 字典名称
     */
    private String dictType;
    /**
     * 字典标签
     */
    private String dictLabel;
    /**
     * 状态（0正常 1停用）
     */
    private String status;
}
